osl::eval::ml::GoldAndSilverNearKing Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::GoldAndSilverNearKing Class Reference

`#include <minorPiece.h>`

Collaboration diagram for osl::eval::ml::GoldAndSilverNearKing:
[legend]

## Public Types
enum | { ONE_DIM = 1215, DIM = ONE_DIM * EvalStages }

## Public Member Functions
template<osl::Player P>
osl::MultiInt | evalOne (const NumEffectState &state, const CArray2d< int, 2, 3 > &gs_count)

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state, const CArray2d< int, 2, 3 > &gs_count)

## Static Private Member Functions
template<Player Defense>
static int | index (const Square king, int distance0, int count)
template<Player P>
static MultiInt | evalOne (const NumEffectState &state, const CArray2d< int, 2, 3 > &gs_count)
template<Player Defense>
static int | indexCombination (const Square king, int count0, int count1, int count2)

## Static Private Attributes
static CArray< MultiInt, 1215 > | table
static CArray< MultiInt, 9720 > | combination_table

## Friends
class | GoldAndSilverNearKingCombination

## Detailed Description

Definition at line 1566 of file minorPiece.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1570 of file minorPiece.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::GoldAndSilverNearKing::eval | ( | const NumEffectState & | state,
|  | const CArray2d< int, 2, 3 > & | gs_count
| ) |  |
| static

Definition at line 2250 of file minorPiece.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

template<Player P>

static MultiInt osl::eval::ml::GoldAndSilverNearKing::evalOne | ( | const NumEffectState & | state,
|  | const CArray2d< int, 2, 3 > & | gs_count
| ) |  |
| staticprivate

template<osl::Player P>

osl::MultiInt osl::eval::ml::GoldAndSilverNearKing::evalOne | ( | const NumEffectState & | state,
|  | const CArray2d< int, 2, 3 > & | gs_count
| ) |  |

Definition at line 2229 of file minorPiece.cc.

References osl::BLACK, and result.

template<Player Defense>

static int osl::eval::ml::GoldAndSilverNearKing::index | ( | const Square | king,
|  | int | distance0,
|  | int | count
| ) |  |
| inlinestaticprivate

Definition at line 1576 of file minorPiece.h.

References count, osl::WHITE, osl::Square::x(), and osl::Square::y().

template<Player Defense>

static int osl::eval::ml::GoldAndSilverNearKing::indexCombination | ( | const Square | king,
|  | int | count0,
|  | int | count1,
|  | int | count2
| ) |  |
| inlinestaticprivate

Definition at line 1586 of file minorPiece.h.

References osl::eval::min(), osl::WHITE, osl::Square::x(), and osl::Square::y().

void osl::eval::ml::GoldAndSilverNearKing::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 2207 of file minorPiece.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Friends And Related Function Documentation

friend class GoldAndSilverNearKingCombination
| friend

Definition at line 1568 of file minorPiece.h.

## Member Data Documentation

osl::misc::CArray< osl::MultiInt, 9720 > osl::eval::ml::GoldAndSilverNearKing::combination_table
| staticprivate

Definition at line 1595 of file minorPiece.h.

Referenced by osl::eval::ml::GoldAndSilverNearKingCombination::setUp().

osl::misc::CArray< osl::MultiInt, 1215 > osl::eval::ml::GoldAndSilverNearKing::table
| staticprivate

Definition at line 1594 of file minorPiece.h.

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc